# Generated from rails_event_store_active_record-2.16.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails_event_store_active_record

Name: rubygem-%{gem_name}
Version: 2.16.0
Release: 1%{?dist}
Summary: Persistent event repository implementation for RubyEventStore based on ActiveRecord
License: MIT
URL: https://railseventstore.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
BuildArch: noarch

%description
Persistent event repository implementation for RubyEventStore based on
ActiveRecord. Ships with database schema
and migrations suitable for PostgreSQL, MySQL ans SQLite database engines.
Includes repository implementation with linearized writes to achieve log-like
properties of streams
on top of SQL database engine.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Fri Mar 07 2025 mockbuilder - 2.16.0-1
- Initial package
